Library Version 18.1.40

begin
Prev | Chapter 5. Db_map | Next

## begin

### Function Details

    iterator begin(ReadModifyWriteOption rmw=
        ReadModifyWriteOption::no_read_modify_write(), bool readonly=false,
        BulkRetrievalOption bulkretrieval=
            BulkRetrievalOption::no_bulk_retrieval(),
        bool directdb_get=true)

Begin a read-write or readonly iterator which sits on the first key/data pair of the database.

#### Parameters

##### directdb_get

Same as that of db_vector::begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

##### readonly

Same as that of db_vector::begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

##### rmw

Same as that of db_vector::begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

##### bulkretrieval

Same as that of db_vector::begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

#### Return Value

The created iterator.

#### See Also

db_vector::begin (ReadModifyWriteOption , bool, BulkRetrievalOption , bool)

    const_iterator begin(BulkRetrievalOption bulkretrieval=
        BulkRetrievalOption::no_bulk_retrieval(),
        bool directdb_get=true) const

Begin a read-only iterator.

#### Parameters

##### directdb_get

Same as that of begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

##### bulkretrieval

Same as that of begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

#### Return Value

The created const iterator.

#### See Also

db_vector::begin (ReadModifyWrite, bool, BulkRetrievalOption , bool);

### Group: Iterator Functions

The parameters in begin functions of this group have identical meaning to thoes in db_vector::begin , refer to those functions for details.

db_vector::begin()

### Class

db_map

Prev | Up | Next
insert | Home | end